<?php


  use App\Libraries\ejLib;
  $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();



?>

@extends('layouts.master')
@section('titulo')
  {{ 'Administrar Perfiles' }}
@endsection

<?php

  $usuario = $_SESSION['usuario'];

  $decoded = $var->desencriptar_AES($usuario['tusuario'], $usuario['x']);
  $decoded2 = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
  $Centro_Sal  = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);

  $id_admin  = $var->desencriptar_AES($usuario['id_admin'], $usuario['x']);

?>

@section('navegacion_admin')
  @include('layouts.navegacion_admin')
@endsection


@section('titulo_pagina')
  <div class="titulo_pagina">
    <h2>ADMINISTRAR SERVICIOS DE ADMISIÓN</h2>
  </div>
@endsection

<link rel="stylesheet" href="css/bootstrap.css">
<link rel="stylesheet" href="css/admingeneral.css">
<link rel="stylesheet" href="css/usuariogeneral.css">
<link rel="stylesheet" href="css/usuariocm.css">

<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/bootstrap.js"></script>
<script src="js/notify.js"></script>

<style media="screen">
  div.error {
    height: 15px;
    padding: 3px;
    background-color:rgba(0, 0, 0, 0.7);
    border-radius: 3px 3px 3px 3px;
    -moz-border-radius: 3px 3px 3px 3px;
    -webkit-border-radius: 3px 3px 3px 3px;
    font-size: 9pt;
    -webkit-box-shadow: 1px 2px 3px -1px rgba(0,0,0,0.75);
    -moz-box-shadow: 1px 2px 3px -1px rgba(0,0,0,0.75);
    box-shadow: 1px 2px 3px -1px rgba(0,0,0,0.75);

    float: right;
    text-align:left;
    color: #ffffff;
    animation: fadein 0.8s;
  }


</style>

<script>

$(document).ready(function()
{



});

$(document).on("click", "#cmd_Listar", function(){


                      var Servicio = $('#servicio').val();
                      var activo = '0';
                      var NombreCortoServicio = $('#NombreCortoServicio').val();
                    if ($('#activo_c').prop('checked')) activo = '1';
                    jqGetAjax('getLstCatServicioAdmision','contenedor_tabla', {'Servicio': Servicio, 'NombreCortoServicio':NombreCortoServicio, 'Activo': activo });
                    
});

/////////////////////
 $(document).on("click", "#btn_guardar_NuevoServicio", function(){



   var NombreServicio = '';
   var NombreCortoServicio = '';
   NombreServicio = $('#AgregarServicios #NombreServicio').val();
   NombreCortoServicio = $('#AgregarServicios #NombreCortoServicio').val();

  
  //$.notify('Entro: -'+NombreServicio+'-'+NombreCortoServicio); 

  jqGetAjax("add_NuevoServicioAdmision","divMensaje", { 'NombreServicio': NombreServicio, 'NombreCortoServicio': NombreCortoServicio });

  jqGetAjax("cerrar","tblMovimientos", { });
  

});

 /////////////////////
 $(document).on("click", "#btn_actualizar_Servicio", function(){



   var NombreServicio = '';
   var NombreCortoServicio = '';
   var idServicio = $('#Act_servicio #idServicio').val();
   NombreServicio = $('#Act_servicio #NombreServicio').val();
   NombreCortoServicio = $('#Act_servicio #NombreCortoServicio').val();

  
  //$.notify('Entro: -'+idServicio); 

  jqGetAjax("up_AtualizaServicios","divMensaje", {'idServicio': idServicio, 'NombreServicio': NombreServicio, 'NombreCortoServicio': NombreCortoServicio });

  setTimeout('ExisteError("divMensaje"); $("#cmd_Listar").click();',1000);

  jqGetAjax("cerrar","tblMovimientos", { });
  

});



function ExisteError(objetoHTML) {

          if($("#" + objetoHTML + " #hError").val() != '0')
          {           
             var cError = $("#" + objetoHTML + " #hErrorDetalle").val();
             // console.log(cError);
            // $.notify(cError, "warn"); // Notificamos que fue recuperado el registro
          }
          else
          {
            jqGetAjax("cerrar","tblMovimientos", { });
          
          }

};


///////////////////// click de boton para cambiar estatus del registro referenciable

$(document).on("click", '#tblServicios .ConfRef #cmdStatus', function (){

     var idServicio = '';
     $tr = $(this).closest("tr"); // Recuperamos el [TR] actual
     var idServicio=($tr.data('idservicio')); // Recuperamos la clues origen del registro actual

  // $.notify('Actualiza: '+idServicio, "warn"); // Notificamos que fue recuperado el registro
   jqGetAjaxShort("up_Servicios","CambiaEstatusServicio"+idServicio, {"idServicio": idServicio });

});


///////////////////// click de boton para editar registro 
$(document).on("click", '#tblServicios .ConfRef #cmdEditar', function (){

      // $.notify('Entro', "warn"); // Notificamos que fue recuperado el registro
      var idServicio = '';
     $tr = $(this).closest("tr"); // Recuperamos el [TR] actual
     var idServicio=($tr.data('idservicio')); // Recuperamos el id del tipo de servicio seleccionado en la tabla
      //$.notify('Actualiza: '+idServicio, "warn"); // Notificamos que fue recuperado el registro

   jqGetAjaxShort("up_EditarServicios","tblMovimientos", {"idServicio": idServicio});

});

/////////////////////

$(document).on("click", '#tblMovimientos .cerrar_form ', function (){

  jqGetAjax("cerrar","tblMovimientos", { });
         
});


/////////////////////

</script>

@section('content')
<div id="mensaje" name="mensaje"></div>

  <div id="contenedor">
    <form action="#" method="post" name="frm_listar" id="frm_listar" >

      <input type="hidden" name="_token" value="{{csrf_token()}}">
      <div class="row" id = "objlistar" name="objlistar">

        <br/>
        <div class="row">
            <div class="col-sm-4 ">
              <div class="input-group input-group-sm">
                 <span class="input-group-addon" id="sizing-addon3">Nombre</span>
                <input id="servicio" name="servicio" type="text" class="form-control" placeholder="Máximo 200 caracteres" value="">
              </div>
            </div>

            <div class="col-sm-3 ">
              <div class="input-group input-group-sm" id="InputGroupNombreCortoServicio" name="InputGroupNombreCortoServicio">
                 <span class="input-group-addon" id="sizing-addon3">Nombre Corto</span>
                <input id="NombreCortoServicio" name="NombreCortoServicio" type="text" class="form-control" placeholder="Máximo 12 caracteres" value="">
              </div>
            </div>
            
            <div class="col-sm-1 " >
              <div class="input-group input-group-sm" >
                <span class="input-group-addon" >
                  <input type="checkbox" aria-label="Checkbox for following text input" id="activo_c" name="activo_c" >
                </span>
                <span class="input-group-addon" >Activos</span>
              </div>
            </div>

            <div class="col-sm-1">
              <div class="input-group-sm">
                    <button type="button" id="btn_agregar_ap" name="btn_agregar_ap" href="#tblMovimientos" onclick="
                    jqGetAjax('add_ServiciosAdmision','tblMovimientos', { });

                    ">Agregar</button>
              </div>
            </div>

            <div class="col-sm-1">
                <button type="button"  id="cmd_Listar" name = "cmd_Listar">Listar
                </button>
              </div>
        </div>

        <div class="row">
         
          
        </div>
      </div>

      

    <div id="contenedor_tabla"></div>
    <div id="tblMovimientos" name="tblMovimientos"></div>
    <div id="divMensaje" name="divMensaje" style="height:20px;"></div>
    <br/>
  </form>
  </div>     
</div>
@endsection
